Skip to Content
avatar image
Former Member

TLS Version Supported by SAP PI 7.31 Single Stack

Hi Experts,

We are having SAP PI 7.31 Single Stack and we are intended to use SSL communication over TLS 1.2 between external web-service and SAP PI. We would like to know if SAP PI 7.31 Single Stack supports TLS 1.2?

Also, if it doesn't support TLS 1.2 then which version of TLS it supports?

Any supporting document (SAP OSS note or Knowledge base) for this will be highly appreciated.

Thanks.

Regards,

Sami.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

2 Answers

  • Best Answer
    Apr 04, 2016 at 06:02 AM

    Hi Samiullah

    Only TLS 1.0 is supported as of now. Check out this long thread here especially the replies from Peter Tari.

    Re: iaik.security.ssl.SSLException: Peer sent alert: Alert Fatal: handshake

    Regards

    Eng Swee

    Add comment
    10|10000 characters needed characters exceeded

    • Hi Samiullah

      I haven't come across any SAP official documentation that states that. The only way I knew of it was from Peter Tari's reply.

      If you want an official stand from SAP on this, I would suggest you open a call with SAP.

      Regards

      Eng Swee

  • Apr 04, 2016 at 06:02 AM
    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Thanks Harish for your response.

      These notes seems to be configuration for dual stack. Information I am looking for is for single stack. Could you please help with same information for Single Stack.

      Regards,

      Sami.